Skip to main content
POST
/
site
/
company
/
{company_id}
Create Site
curl --request POST \
  --url https://external.nectarclimate.com/v2/site/company/{company_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "name": "<string>",
  "externalId": "<string>",
  "address": "<string>",
  "path": [
    "<string>"
  ],
  "occupancyPercent": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "dataCollectionStopDate": "2023-12-25",
  "externalId": "<string>",
  "address": "<string>",
  "path": [
    "<string>"
  ],
  "occupancyPercent": "<string>"
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

company_id
string<uuid>
required

ID of the company to create a site for.

Body

Serializer for creating a new Site object.

name
string
required

Name of the site.

Required string length: 1 - 255
externalId
string | null

ID of the site on external platforms used during exports. Used to associate site in Nectar with site within your database.

address
string

Address of the site.

Maximum string length: 255
path
string[]

List of location tags in increasing specificity used to filter sites. Filters must be entered from more general to more specific. E.g. ['US', 'CA', 'ON']

Maximum array length: 10
Required string length: 1 - 100
occupancyPercent
string<decimal> | null

Occupancy percent, must be a number from 0 to 100. Usage for the site will be multiplied by this value for specified connections.

Pattern: ^-?\d{0,3}(?:\.\d{0,4})?$

Response

Serializer for Site objects.

id
string<uuid>
required

Unique identifier for the site.

name
string
required

Name of the site.

Maximum string length: 255
dataCollectionStopDate
string<date> | null
required

Date when data collection for this site was stopped. A non-null value indicates the site has been soft-deleted/archived.

externalId
string | null

ID of the site on external platforms used during exports. Used to associate site in Nectar with site within your database.

address
string

Address of the site.

Maximum string length: 255
path
string[]

List of location tags in increasing specificity used to filter sites. Filters must be entered from more general to more specific. E.g. ['US', 'CA', 'ON']

Maximum array length: 10
Maximum string length: 100
occupancyPercent
string<decimal> | null

Occupancy percent, must be a number from 0 to 100. Usage for the site will be multiplied by this value for specified connections.

Pattern: ^-?\d{0,3}(?:\.\d{0,4})?$